% eegplugin_std_backproj() - This is a plugin for backprojecting cluster ICs
%                            in the STUDY to scalp channels.

% Author: Makoto Miyakoshi, JSPS/SCCN,INC,UCSD
% History
% 06/28/2013 ver 1.2 by Makoto. submenu = uimenu( std, 'label', 'Backproj from clst to chan', 'userdata', 'startup:off;study:on');
% 01/10/2013 ver 1.1 by Makoto. Minor changes.
% 10/26/2012 ver 1.0 by Makoto. Created.

% Copyright (C) 2012, Makoto Miyakoshi JSPS/SCCN,INC,UCSD
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

function eegplugin_std_backproj( fig, try_strings, catch_strings);

 vers = '1.0';
    if nargin < 3
        error('eegplugin_std_backproj requires 3 arguments');
    end
    
% create menu
std = findobj(fig, 'tag', 'study');
submenu = uimenu( std, 'label', 'Backproj from clst to chan', 'userdata', 'startup:off;study:on');

% add new submenu
uimenu( submenu, 'label', 'Compute backprojection', 'callback', 'STUDY = std_backproj(STUDY, ALLEEG, EEG);', 'userdata', 'startup:off;study:on');
uimenu( submenu, 'label', 'Plot backprojected ERP', 'callback', 'STUDY = std_myerpplot(STUDY, ALLEEG, EEG);','userdata', 'startup:off;study:on', 'separator','on');
